# Uses of Class
org.bukkit.block.banner.Pattern

Packages that use Pattern
Package
Description
org.bukkit.block
Classes used to manipulate the voxels in a `world`, including special states.
org.bukkit.inventory.meta
The interfaces used when manipulating extra data can can be stored inside `item stacks`.

## Uses of Pattern in org.bukkit.block

Methods in org.bukkit.block that return Pattern
Modifier and Type
Method
Description
`@NotNull Pattern`
Banner.`getPattern(int i)`
Returns the pattern at the specified index
`@NotNull Pattern`
Banner.`removePattern(int i)`
Removes the pattern at the specified index
Methods in org.bukkit.block that return types with arguments of type Pattern
Modifier and Type
Method
Description
`@NotNull List<Pattern>`
Banner.`getPatterns()`
Returns a list of patterns on this banner
Methods in org.bukkit.block with parameters of type Pattern
Modifier and Type
Method
Description
`void`
Banner.`addPattern(@NotNull Pattern pattern)`
Adds a new pattern on top of the existing patterns
`void`
Banner.`setPattern(int i, @NotNull Pattern pattern)`
Sets the pattern at the specified index
Method parameters in org.bukkit.block with type arguments of type Pattern
Modifier and Type
Method
Description
`void`
Banner.`setPatterns(@NotNull List<Pattern> patterns)`
Sets the patterns used on this banner

## Uses of Pattern in org.bukkit.inventory.meta

Methods in org.bukkit.inventory.meta that return Pattern
Modifier and Type
Method
Description
`@NotNull Pattern`
BannerMeta.`getPattern(int i)`
Returns the pattern at the specified index
`@NotNull Pattern`
BannerMeta.`removePattern(int i)`
Removes the pattern at the specified index
Methods in org.bukkit.inventory.meta that return types with arguments of type Pattern
Modifier and Type
Method
Description
`@NotNull List<Pattern>`
BannerMeta.`getPatterns()`
Returns a list of patterns on this banner
Methods in org.bukkit.inventory.meta with parameters of type Pattern
Modifier and Type
Method
Description
`void`
BannerMeta.`addPattern(@NotNull Pattern pattern)`
Adds a new pattern on top of the existing patterns
`void`
BannerMeta.`setPattern(int i, @NotNull Pattern pattern)`
Sets the pattern at the specified index
Method parameters in org.bukkit.inventory.meta with type arguments of type Pattern
Modifier and Type
Method
Description
`void`
BannerMeta.`setPatterns(@NotNull List<Pattern> patterns)`
Sets the patterns used on this banner